{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Онлайн прийом {% endblock %}
{% block css_url %}
<link rel="stylesheet" href="{% static 'main/css/main.css' %}"> {% endblock %}
{% block js_url %}
<script src="{% static 'main/js/appointment.js' %}"></script>
<script src="{% static 'main/js/rating.js' %}"></script>
<script src="{% static 'main/js/search.js' %}"></script>
<script src="{% static 'main/js/popup.js' %}"></script>
{% endblock %}

{% block content %}
{% include 'main/objects/header.html' %}

<main class="lock-padding">
    <section class="greeting">
        <h1>Запис до лікаря</h1>
        <p>Записуйтесь на онлайн прийом</p>
    </section>
    <div class="serch_bar">
        <input type="text" id="search-specialization" class="search_input" placeholder="Пошук за спеціалізацією..."
               maxlength="30">
        <script src="https://cdn.lordicon.com/bhenfmcm.js"></script>
        <lord-icon id="search-loader" class="search_loader"
                   src="https://cdn.lordicon.com/xjovhxra.json"
                   trigger="loop"
                   colors="primary:#111618,secondary:#111618"
                   stroke="100"
                   style="width:6vh;height:6vh">
        </lord-icon>
    </div>
    <section class="doctor_section">
        <p id="no-results-message" class="not_found">Лікаря не знайдено</p>
        <ul class="doctor_list" id="doctor-list">
            {% for d in doctor_object %}
            <li class="doctor_box" data-specialization="{{ d.get_specialization_display|lower }}">
                <div class="doctor_photo"><img src="{{d.photo.url}}"></div>
                <div class="doctor_info">
                    <h4 class="doctor_name">{{d}}</h4>
                    <p class="doctor_specialization">{{d.get_specialization_display}}</p>
                    <p class="doctor_expiriance">Стаж: {{d.expiriance}} років</p>
                    <div class="review_rating" data-rating="{{d.rating}}" title="{{d.rating}}/5">
                        <p class="doctor_rating">Рейтинг: </p>
                        <div class="star"></div>
                        <div class="star"></div>
                        <div class="star"></div>
                        <div class="star"></div>
                        <div class="star"></div>
                    </div>
                </div>
                <div class="doctor_schedule">
                    <div class="column">
                        <h4 class="column_title">Понеділок</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.monday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#monday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="monday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на понеділок о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Понеділок"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">Вівторок</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.tuesday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#tuesday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="tuesday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на вівторок о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Вівторок"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">Середа</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.wednesday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#wednesday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="wednesday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на середу о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Середа"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">Четвер</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.thursday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#thursday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="thursday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на середу о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Четвер"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">П`ятниця</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.friday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#friday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="friday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на п`ятницю о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="П`ятниця"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">Субота</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.saturday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#saturday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="saturday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на суботу о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Субота"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                    <div class="column">
                        <h4 class="column_title">Неділя</h4>
                        {% for s in d.schedule_set.all %}
                        {% for slot in s.sunday %}
                        <div class="schedule_time_box">
                            <a class="schedule_time popup-link" href="#sunday{{forloop.counter}}{{d.id}}"
                               data-user_verified="{{user.user_verified}}"
                               data-user_id="{{user.id}}"
                            >{{ slot }}:00</a>
                        </div>
                        <div id="sunday{{forloop.counter}}{{d.id}}" class="popup">
                            <div class="popup_body">
                                <div class="popup_box">
                                    <a href="#" class="popup_close close-popup"><img
                                            src="{% static 'main/icons/close-50.png' %}"></a>
                                    <h2 class="popup_header">Запис до лікаря</h2>
                                    <div class="popup_content">
                                        <div class="popup_photo doctor_photo"><img src="{{d.photo.url}}"></div>
                                        <div class="popup_info">
                                            <h4>{{d}}</h4>
                                            <p><i>{{d.get_specialization_display}}</i></p>
                                            <p class="popup_message">Ви дійсно хочете записатись до цього лікаря на неділю о {{slot}}:00?</p>
                                            <p></p>
                                        </div>
                                    </div>
                                    <div class="popup_footer">
                                        <a id="schedule-link" class="popup_link close-popup" href="#"
                                           data-day="Неділя"
                                           data-doctor="{{d}}"
                                           data-doctor_id="{{d.id}}"
                                           data-doctor_specialization="{{d.get_specialization_display}}"
                                           data-time="{{slot}}:00"
                                           data-meet_url="{{d.meet_url}}"
                                        >Записатись</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endfor %}
                    </div>
                </div>
            </li>
            {% endfor %}
        </ul>
    </section>
</main>

{% include 'main/objects/footer.html' %}
{% endblock %}